Package org.bukkit.event.player

# Class PlayerPortalEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerMoveEvent
org.bukkit.event.player.PlayerTeleportEvent
org.bukkit.event.player.PlayerPortalEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerPortalEvent extends PlayerTeleportEvent
Called when a player is about to teleport because it is in contact with a portal which will generate an exit portal.

For other entities see `EntityPortalEvent`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.player.PlayerTeleportEvent

`PlayerTeleportEvent.TeleportCause`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerPortalEvent(@NotNull Player player, @NotNull Location from, @Nullable Location to)`
`PlayerPortalEvent(@NotNull Player player, @NotNull Location from, @Nullable Location to, @NotNull PlayerTeleportEvent.TeleportCause cause)`
`PlayerPortalEvent(@NotNull Player player, @NotNull Location from, @Nullable Location to, @NotNull PlayerTeleportEvent.TeleportCause cause, int getSearchRadius, boolean canCreatePortal, int creationRadius)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getCanCreatePortal()`
Returns whether the server will attempt to create a destination portal or not.
`int`
`getCreationRadius()`
Gets the maximum radius the world is searched for a free space from the given location.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`int`
`getSearchRadius()`
Gets the search radius value for finding an available portal.
`void`
`setCanCreatePortal(boolean canCreatePortal)`
Sets whether the server should attempt to create a destination portal or not.
`void`
`setCreationRadius(int creationRadius)`
Sets the maximum radius the world is searched for a free space from the given location.
`void`
`setSearchRadius(int searchRadius)`
Set the Block radius to search in for available portals.

### Methods inherited from class org.bukkit.event.player.PlayerTeleportEvent

`getCause`

### Methods inherited from class org.bukkit.event.player.PlayerMoveEvent

`getFrom, getTo, hasChangedBlock, hasChangedOrientation, hasChangedPosition, hasExplicitlyChangedBlock, hasExplicitlyChangedPosition, isCancelled, setCancelled, setFrom, setTo`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerPortalEvent

public PlayerPortalEvent(@NotNull @NotNull Player player, @NotNull @NotNull Location from, @Nullable @Nullable Location to)

### PlayerPortalEvent

public PlayerPortalEvent(@NotNull @NotNull Player player, @NotNull @NotNull Location from, @Nullable @Nullable Location to, @NotNull @NotNull PlayerTeleportEvent.TeleportCause cause)

### PlayerPortalEvent

public PlayerPortalEvent(@NotNull @NotNull Player player, @NotNull @NotNull Location from, @Nullable @Nullable Location to, @NotNull @NotNull PlayerTeleportEvent.TeleportCause cause, int getSearchRadius, boolean canCreatePortal, int creationRadius)

## Method Details

### setSearchRadius

public void setSearchRadius(int searchRadius)
Set the Block radius to search in for available portals.

Parameters:
  `searchRadius` - the radius in which to search for a portal from the location

### getSearchRadius

public int getSearchRadius()
Gets the search radius value for finding an available portal.

Returns:
  the currently set search radius

### getCanCreatePortal

public boolean getCanCreatePortal()
Returns whether the server will attempt to create a destination portal or not.

Returns:
  whether there should create be a destination portal created

### setCanCreatePortal

public void setCanCreatePortal(boolean canCreatePortal)
Sets whether the server should attempt to create a destination portal or not.

Parameters:
  `canCreatePortal` - Sets whether there should be a destination portal created

### setCreationRadius

public void setCreationRadius(int creationRadius)
Sets the maximum radius the world is searched for a free space from the given location. If enough free space is found then the portal will be created there, if not it will force create with air-space at the target location. Does not apply to end portal target platforms which will always appear at the target location.

Parameters:
  `creationRadius` - the radius in which to create a portal from the location

### getCreationRadius

public int getCreationRadius()
Gets the maximum radius the world is searched for a free space from the given location. If enough free space is found then the portal will be created there, if not it will force create with air-space at the target location. Does not apply to end portal target platforms which will always appear at the target location.

Returns:
  the currently set creation radius

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Overrides:
  `getHandlers` in class `PlayerTeleportEvent`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()